<?php

namespace App\Services\Paddle\Exceptions;

use RuntimeException;

class PaddleException extends RuntimeException
{
    public function __construct(string $message, private readonly ?int $status = null, private readonly array $context = [])
    {
        parent::__construct($message, $status ?? 0);
    }

    public function status(): ?int
    {
        return $this->status;
    }

    public function context(): array
    {
        return $this->context;
    }
}
